<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the GNU General Public License, version 3 (GPL-3.0).
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * @author    emarketing www.emarketing.com <integrations@emarketing.com>
 * @copyright 2020 emarketing AG
 * @license   https://opensource.org/licenses/GPL-3.0 GNU General Public License version 3
 */

class Fattura24ServiceModuleFrontController extends ModuleFrontController
{
    /**
     * @var \Emarketing\ErrorHandler
     */
    private $errorHandler;

    /**
     * EmarketingServiceModuleFrontController constructor.
     */


    /**
     *
     */
    public function initContent()
    {
        parent::initContent();

        $orderId = Tools::getValue('orderid');
        $order = new Order((int)$orderId);

        $fileName = Module::getInstanceByName('fattura24')->
                    constructFileName($order->invoice_number, $order->date_upd);
        $filePath = _PS_DOWNLOAD_DIR_ . 'Fattura24/' . $fileName;

        if (!file_exists($filePath) || filesize($filePath) < 200) {
            $query = 'SELECT docIdFattura24 FROM ' . _DB_PREFIX_ . 'orders WHERE id_order=\'' . (int)$orderId . '\';';
            $docIdFattura24 = Db::getInstance(_PS_USE_SQL_SLAVE_)->getRow($query)['docIdFattura24'];

            if (!empty($docIdFattura24)) {
                Module::getInstanceByName('fattura24')->downloadDocument($docIdFattura24, $orderId, true);
            }
        }

        if (file_exists($filePath) && filesize($filePath) > 200) {
            header('Content-type: application/pdf');
            header('Content-Disposition: attachment; filename="' . $fileName. '"');
            header('Content-Transfer-Encoding: binary');
            readfile($filePath);
        }
        die();
    }

    /**
     * @return bool
     */
    public function display()
    {
        return true;
    }
}
